Bug 169660 - Kernel panic when executing 64 bit java app with large memory footprint
Kernel panic when executing 64 bit java app with large memory footprint
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-30 14:49 EDT by Stefan Zier
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 2.6.9-22.ELsmp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-10 20:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the panic (144.49 KB, image/jpeg)
2005-10-07 13:07 EDT, Stefan Zier
no flags Details

  None (edit)
Description Stefan Zier 2005-09-30 14:49:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
This is a dual Opteron system with 8GB of memory. When running the 64 bit version of Sun JRE 1.5.0_05 (the latest at this time) with a heap of 6GB and the server VM, the system reproducibly kernel panics after a few minutes of running the JVM. I don't have a screen grab of the kernel panic, but it does mention the java process and SE linux, so those would be areas to look at. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run a java server app with the -server option and -Xmx6144m -Xms6144m
2. Sit back for a few minutes
3. Watch the system kernel panic

Actual Results:  Kernel panic. 

Expected Results:  Application running.

Additional info:
Comment 1 Jason Baron 2005-10-07 11:55:25 EDT
A capture of the panic message would be very helpful. Is it in /var/log/messages? 

Also, the hardware here seems to be x86_64, not ia64?
Comment 2 Stefan Zier 2005-10-07 13:05:45 EDT
Oh yes, x86_64 is correct. I checked /var/log/messages, but there are no panic
messages in there. I've photographed the screen with my cameraphone and attached
it to the ticket, I hope this helps. This time around, I wasn't even running a
Java app, I was just grepping /var/log/messages for the word "panic" -- which
caused it to panic. :)
Comment 3 Stefan Zier 2005-10-07 13:07:41 EDT
Created attachment 119713 [details]
Screenshot of the panic
Comment 4 Stefan Zier 2005-10-10 20:18:32 EDT
Seems updating to the -22 kernel made a difference. No crashing since I
upgraded. I'll close this ticket for now. 

Note You need to log in before you can comment on or make changes to this bug.